Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.inject.client
Annotation Type GinModules

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface GinModules

An annotation to put on `@Ginjector` subtypes to indicate which `GinModule` implementations to use. List the `GinModule` classes using the `value` parameter. If you wish to specify gin module classes from a GWT module file, list the name of the configuration properties as string using the `properties` parameter.

Example:

      @GinModules(value=MyGinModule.class, properties="example.ginModules")
      public interface ConfigurationModulesGinjector extends Ginjector {
        // ...
      }

In MyApp.gwt.xml:

      <define-configuration-property name="example.ginModules" is-multi-valued="true" />
      <extend-configuration-property name="example.ginModules"
          value="com.company.myapp.client.ExampleModule1" />
      <extend-configuration-property name="example.ginModules"
          value="com.company.myapp.client.ExampleModule2" />

Required Element Summary
`java.lang.Class<? extends GinModule>[]` | `value`

Optional Element Summary
`java.lang.String[]` | `properties`

Element Detail

### value

    public abstract java.lang.Class<? extends GinModule>[] value

### properties

    public abstract java.lang.String[] properties

  Default:
    {}

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT